athena_sql 1.1.8 copy "athena_sql: ^1.1.8" to clipboard
athena_sql: ^1.1.8 copied to clipboard

Dart SQL query builder, expressive and user-friendly API to build and manage SQL queries in your Dart projects.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add athena_sql

With Flutter:

 $ flutter pub add athena_sql

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  athena_sql: ^1.1.8

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:athena_sql/athena_sql.dart';
1
likes
150
pub points
2%
popularity

Publisher

verified publisherathena-sql.dev

Dart SQL query builder, expressive and user-friendly API to build and manage SQL queries in your Dart projects.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD-3-Clause (license)

Dependencies

athena_utils, collection

More

Packages that depend on athena_sql